Attachments

Upload file

POST
/uploads.json

Upload a file. Use the returned token to attach the file to an object (e.g. uploads of an issue).

Authorization

ApiKeyAuth
headerX-Redmine-API-Key<token>

Query Parameters

filename?string

File name

Request Body

File content

body*unknownapplication/octet-stream

Response Body

The request has succeeded and a new resource has been created as a result.

application/json
  1. response
upload*

Result of uploading a file via POST /uploads.json

curl -X POST 'https://redmine.example.com/uploads.json'
{  "upload": {    "id": 0,    "token": "string"  }}